Update customer statuses

Updates the status of multiple customers in a single call.

The batch is validated as a whole. If any customerId is not a positive integer, any statusId is not 1 or 2, or any customer does not belong to your account, nothing is applied and all of the problems are returned together in the errorMessages array.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

The payload used to update the status of multiple customers in a single call.

integer
required
≥ 1

The ID of the user making the changes. Must be a positive integer.

updates
array of objects
required
length ≥ 1

The list of customer status changes to apply. The batch is validated as a whole, so if any entry is invalid, nothing is applied.

updates*
int64
required
≥ 1

The ID of the customer you want to update. Must be a positive integer and must belong to your account.

integer
enum
required

The status you want to set the customer to.

  • 1-Active
  • 2-Inactive
Allowed:
Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json